summaryrefslogtreecommitdiffstats
path: root/libraries/libsoup
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 22:54:14 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:14 +0200
commit669423e29ef3aa23dfd5daf10bee1fa93ed94310 (patch)
treec442e17e40e37a08847ef450ca7c77c3e92ed4ac /libraries/libsoup
parentf356df990acbcedfd04a6b016d96940a4482271c (diff)
downloadslackbuilds-669423e29ef3aa23dfd5daf10bee1fa93ed94310.tar.gz
slackbuilds-669423e29ef3aa23dfd5daf10bee1fa93ed94310.tar.xz
libraries/libsoup: Added to 12.1 repository
Diffstat (limited to 'libraries/libsoup')
-rw-r--r--libraries/libsoup/README3
-rw-r--r--libraries/libsoup/libsoup.SlackBuild52
-rw-r--r--libraries/libsoup/libsoup.info8
-rw-r--r--libraries/libsoup/slack-desc19
4 files changed, 82 insertions, 0 deletions
diff --git a/libraries/libsoup/README b/libraries/libsoup/README
new file mode 100644
index 0000000000..19ac28d2f8
--- /dev/null
+++ b/libraries/libsoup/README
@@ -0,0 +1,3 @@
+Soup is an HTTP library implementation in C. It was originally part of
+a SOAP (Simple Object Access Protocol) implementation, but the SOAP code
+was later removed (and then later partially reimplemented...).
diff --git a/libraries/libsoup/libsoup.SlackBuild b/libraries/libsoup/libsoup.SlackBuild
new file mode 100644
index 0000000000..f9051b5622
--- /dev/null
+++ b/libraries/libsoup/libsoup.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for libsoup
+# Written by Erik Hanson erik@slackbuilds.org
+
+set -eu
+
+PRGNAM=libsoup
+VERSION=2.2.105
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --disable-static
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a ChangeLog COPYING AUTHORS NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libsoup/libsoup.info b/libraries/libsoup/libsoup.info
new file mode 100644
index 0000000000..3141db9129
--- /dev/null
+++ b/libraries/libsoup/libsoup.info
@@ -0,0 +1,8 @@
+PRGNAM="libsoup"
+VERSION="2.2.105"
+HOMEPAGE="http://live.gnome.org/LibSoup"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/libsoup/2.2/libsoup-2.2.105.tar.bz2"
+MD5SUM="7fa48b06a0e2b0ff3d2fa45cf331f169"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/libraries/libsoup/slack-desc b/libraries/libsoup/slack-desc
new file mode 100644
index 0000000000..3076f80255
--- /dev/null
+++ b/libraries/libsoup/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libsoup: libsoup (an HTTP client/server library)
+libsoup:
+libsoup: Soup is an HTTP library implementation in C. It was originally part
+libsoup: of a SOAP (Simple Object Access Protocol) implementation, but the
+libsoup: SOAP code was later removed (and then later partially
+libsoup: reimplemented...).
+libsoup:
+libsoup:
+libsoup:
+libsoup:
+libsoup: